Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkConfigurationElementHandler<C extends Configuration>

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<C>
              org.semanticweb.owlapi.owllink.parser.OWLlinkConfigurationElementHandler<C>

All Implemented Interfaces:
  OWLlinkElementHandler<C>

Direct Known Subclasses:
  OWLlinkPropertyElementHandler, OWLlinkSettingElementHandler

    public abstract class OWLlinkConfigurationElementHandler<C extends Configuration>

extends AbstractOWLlinkElementHandler<C>

Created by IntelliJ IDEA. User: noppens Date: 21.10.2009 Time: 17:48:24 To change this template use File | Settings | File Templates.

Field Summary
`protected java.lang.String` | `key`
`protected OWLlinkDataRange` | `type`
`protected java.util.Set<OWLlinkLiteral>` | `values`

Constructor Summary
`OWLlinkConfigurationElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`void` | `endElement()`
`void` | `handleChild(OWLlinkDataRangeElementHandler handler)`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLLinkObject, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    protected java.lang.String key

### values

    protected java.util.Set<OWLlinkLiteral> values

### type

    protected OWLlinkDataRange type

Constructor Detail

### OWLlinkConfigurationElementHandler

    public OWLlinkConfigurationElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkDataRangeElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<C extends Configuration>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<C extends Configuration>`

### handleChild

    public void handleChild(OWLlinkLiteralElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<C extends Configuration>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<C extends Configuration>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD